"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BOOLEAN_VALIDATOR = void 0;
const interfaces_1 = require("../interfaces");
class BooleanValidator extends interfaces_1.Validator {
    validate(value, path = []) {
        if (value === true || value === false) {
            return [];
        }
        return [{ path, message: "must be a boolean", value }];
    }
    isValid(value) {
        return value === true || value === false;
    }
}
exports.default = BooleanValidator;
exports.BOOLEAN_VALIDATOR = new BooleanValidator();
//# sourceMappingURL=boolean-validator.js.map