import { ValidationError, ValidationErrorPath, Validator } from "../interfaces";
export declare type AllowedValueTypes = string | number | boolean | null | undefined;
interface ConstantValidatorOptions<TValues extends Array<AllowedValueTypes>> {
    readonly allowedValues: TValues;
}
/**
 * Validator that checks that a value is one of a given set of constants
 */
export default class ConstantValidator<TValues extends Array<AllowedValueTypes>> extends Validator<TValues[number]> {
    private readonly options;
    constructor(options: ConstantValidatorOptions<TValues>);
    validate(value: any, path?: ValidationErrorPath): ValidationError[];
    isValid(value: any): value is TValues[number];
}
export {};
