import { ValidationError, ValidationErrorPath, Validator } from "../interfaces";
/**
 * Validates that a string contains JSON that when parsed matches the given validator
 */
export default class JsonValidator<TParsed> extends Validator<string> {
    private readonly parsedValidator;
    constructor(parsedValidator: Validator<TParsed>);
    validate(value: unknown, path?: ValidationErrorPath): ValidationError[];
    isValid(value: unknown): value is string;
}
