import { ValidationError, ValidationErrorPath, Validator } from "../interfaces";
interface OrValidatorOptions {
    readonly validators: Validator<any>[];
}
/**
 * Return a validator that passes if any of the validations succeed.
 */
export default class OrValidator<TOptions> extends Validator<TOptions> {
    private readonly options;
    constructor(options: OrValidatorOptions);
    validate(value: any, path?: ValidationErrorPath): ValidationError[];
    isValid(value: any): value is TOptions;
}
export {};
