"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const interfaces_1 = require("../interfaces");
/**
 * Return a validator that passes if any of the validations succeed.
 */
class OrValidator extends interfaces_1.Validator {
    constructor(options) {
        super();
        this.options = options;
    }
    validate(value, path = []) {
        const { validators } = this.options;
        for (let i in validators) {
            const errs = validators[i].validate(value, path);
            if (errs.length === 0) {
                return [];
            }
        }
        return [
            { path, message: "did not match any of the expected types", value },
        ];
    }
    isValid(value) {
        const { validators } = this.options;
        for (let v of validators) {
            if (v.isValid(value)) {
                return true;
            }
        }
        return false;
    }
}
exports.default = OrValidator;
//# sourceMappingURL=or-validator.js.map