import { ValidationError, ValidationErrorPath, Validator } from "../interfaces";
declare type TupleValidators<T extends Array<any>> = {
    [K in keyof T]: Validator<T[K]>;
};
interface TupleValidatorOptions<TTuple extends Array<any>> {
    readonly validators: TupleValidators<TTuple>;
}
/**
 * Returns a validator that checks the value is a tuple, i.e. an array with a fixed number of elements that match the
 * given validators.
 */
export default class TupleValidator<TTuple extends Array<any>> extends Validator<TTuple> {
    private readonly options;
    constructor(options: TupleValidatorOptions<TTuple>);
    validate(value: any, path?: ValidationErrorPath): ValidationError[];
    isValid(value: any): value is TTuple;
}
export {};
